package com.yidianling.dynamic.model;

import com.google.gson.annotations.SerializedName;

/**
 * 热门话题实体类
 * Created by xiongyu on 2017/3/14.
 */

public class RecommendTopic {
    @SerializedName("id")
    private String topic_id;
    @SerializedName("cover")
    private String img_bg_url;
    @SerializedName("title")
    private String topic_title;
    @SerializedName("posts_count")
    private String trend_num;//动态数
    @SerializedName("is_focused")
    private String focus_state;//关注状态
    @SerializedName("focus_count")
    private String focus_num;//关注数

    public RecommendTopic() {
    }

    public RecommendTopic(String topic_id, String img_bg_url, String topic_title, String trend_num, String focus_state, String focus_num) {
        this.topic_id = topic_id;
        this.img_bg_url = img_bg_url;
        this.topic_title = topic_title;
        this.trend_num = trend_num;
        this.focus_state = focus_state;
        this.focus_num = focus_num;
    }

    public String getFocus_num() {
        return focus_num;
    }

    public void setFocus_num(String focus_num) {
        this.focus_num = focus_num;
    }

    public String getTopic_id() {
        return topic_id;
    }

    public void setTopic_id(String topic_id) {
        this.topic_id = topic_id;
    }

    public String getImg_bg_url() {
        return img_bg_url;
    }

    public void setImg_bg_url(String img_bg_url) {
        this.img_bg_url = img_bg_url;
    }

    public String getTopic_title() {
        return topic_title;
    }

    public void setTopic_title(String topic_title) {
        this.topic_title = topic_title;
    }

    public String getTrend_num() {
        return trend_num;
    }

    public void setTrend_num(String trend_num) {
        this.trend_num = trend_num;
    }

    public String getFocus_state() {
        return focus_state;
    }

    public void setFocus_state(String focus_state) {
        this.focus_state = focus_state;
    }
}
